---
displayed_sidebar: entitiesSidebar
---

# Class: PublishableApiKey

## Hierarchy

- `BaseEntity`

  ↳ **`PublishableApiKey`**

## Constructors

### constructor

• **new PublishableApiKey**()

#### Inherited from

BaseEntity.constructor

## Properties

### created\_at

• **created\_at**: `Date`

#### Inherited from

BaseEntity.created\_at

#### Defined in

[interfaces/models/base-entity.ts:16](https://github.com/medusajs/medusa/blob/da7ea8c5d/packages/medusa/src/interfaces/models/base-entity.ts#L16)

___

### created\_by

• **created\_by**: ``null`` \| `string`

#### Defined in

[models/publishable-api-key.ts:12](https://github.com/medusajs/medusa/blob/da7ea8c5d/packages/medusa/src/models/publishable-api-key.ts#L12)

___

### id

• **id**: `string`

#### Inherited from

BaseEntity.id

#### Defined in

[interfaces/models/base-entity.ts:13](https://github.com/medusajs/medusa/blob/da7ea8c5d/packages/medusa/src/interfaces/models/base-entity.ts#L13)

___

### revoked\_at

• `Optional` **revoked\_at**: `Date`

#### Defined in

[models/publishable-api-key.ts:18](https://github.com/medusajs/medusa/blob/da7ea8c5d/packages/medusa/src/models/publishable-api-key.ts#L18)

___

### revoked\_by

• **revoked\_by**: ``null`` \| `string`

#### Defined in

[models/publishable-api-key.ts:15](https://github.com/medusajs/medusa/blob/da7ea8c5d/packages/medusa/src/models/publishable-api-key.ts#L15)

___

### title

• **title**: `string`

#### Defined in

[models/publishable-api-key.ts:21](https://github.com/medusajs/medusa/blob/da7ea8c5d/packages/medusa/src/models/publishable-api-key.ts#L21)

___

### updated\_at

• **updated\_at**: `Date`

#### Inherited from

BaseEntity.updated\_at

#### Defined in

[interfaces/models/base-entity.ts:19](https://github.com/medusajs/medusa/blob/da7ea8c5d/packages/medusa/src/interfaces/models/base-entity.ts#L19)

## Methods

### beforeInsert

▸ `Private` **beforeInsert**(): `void`

#### Returns

`void`

#### Defined in

[models/publishable-api-key.ts:23](https://github.com/medusajs/medusa/blob/da7ea8c5d/packages/medusa/src/models/publishable-api-key.ts#L23)
